#pragma once

namespace Gedeng {

class Application {
  public:
    Application() = default;

    // Virtual since this class will be inherited by user-created applications
    virtual ~Application() = default;

    void run();

  private:
    const unsigned long MS_PER_UPDATE = 20;
};

// To be defined in client applications
Application *create_application();

} // namespace Gedeng